import { CSSProperties } from 'vue';
interface EdgeTextProps {
    x: number;
    y: number;
    label?: string | {
        component: any;
        props?: EdgeTextProps;
    };
    labelStyle?: CSSProperties;
    labelShowBg?: boolean;
    labelBgStyle?: CSSProperties;
    labelBgPadding?: [number, number];
    labelBgBorderRadius?: number;
}
declare const _default: import("vue").DefineComponent<{
    x: {
        type: import("vue").PropType<number>;
        required: true;
    };
    y: {
        type: import("vue").PropType<number>;
        required: true;
    };
    label: {
        type: import("vue").PropType<string | {
            component: any;
            props?: EdgeTextProps | undefined;
        }>;
    };
    labelStyle: {
        type: import("vue").PropType<CSSProperties>;
    } & {
        default: () => {};
    };
    labelShowBg: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    labelBgStyle: {
        type: import("vue").PropType<CSSProperties>;
    } & {
        default: () => {};
    };
    labelBgPadding: {
        type: import("vue").PropType<[number, number]>;
    } & {
        default: () => number[];
    };
    labelBgBorderRadius: {
        type: import("vue").PropType<number>;
    } & {
        default: number;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    x?: unknown;
    y?: unknown;
    label?: unknown;
    labelStyle?: unknown;
    labelShowBg?: unknown;
    labelBgStyle?: unknown;
    labelBgPadding?: unknown;
    labelBgBorderRadius?: unknown;
} & {
    labelStyle: CSSProperties;
    labelShowBg: boolean;
    labelBgStyle: CSSProperties;
    labelBgPadding: [number, number];
    labelBgBorderRadius: number;
    x: number;
    y: number;
} & {
    label?: string | {
        component: any;
        props?: EdgeTextProps | undefined;
    } | undefined;
}>, {
    labelStyle: CSSProperties;
    labelShowBg: boolean;
    labelBgStyle: CSSProperties;
    labelBgPadding: [number, number];
    labelBgBorderRadius: number;
}>;
export default _default;
